Package org.eclipse.cdt.core.index.provider

# Interface IReadOnlyPDOMProvider

All Superinterfaces:
  `IIndexProvider`

public interface IReadOnlyPDOMProvider extends IIndexProvider
This interface is intended for ISVs to implement when plugging a mechanism for read-only/off-line indexes into the CIndex.ReadOnlyPDOMProvider extension point element.

Since:
  4.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IPDOMDescriptor[]`
`getDescriptors(ICConfigurationDescription config)`
Returns an array of IPDOMDescriptors that should contribute to the logical index for the specified `ICConfigurationDescription`

### Methods inherited from interface org.eclipse.cdt.core.index.provider.IIndexProvider

`providesFor`

## Method Details

### getDescriptors

IPDOMDescriptor[] getDescriptors(ICConfigurationDescription config)
Returns an array of IPDOMDescriptors that should contribute to the logical index for the specified `ICConfigurationDescription`

Parameters:
  `config` - the configuration description whose logical index should be augmented